SYNCACHE-DRB(1)

NAME
syncache-drb - SynCache dRuby object cache server

SYNOPSIS

syncache-drb [ options ] [ URI ]

DESCRIPTION

syncache-drb starts a Distributed Ruby server providing a SynCache::Cache object.

SynCache::Cache is a thread-safe time-limited object cache with flexible replacement strategy.

OPTIONS

URI A URI with druby: schema that the DRb server binds to, default is druby://*:9000

--help
    Display usage information and quit.

--ttl SECONDS
    Time-to-live value for cache entries, default is 24 hours.

--size ENTRIES
    Maximum number of objects in cache, default is 10000.

--flush-delay SECONDS
    Rate-limit flush operations. If less than that number of seconds has passed since last flush, next flush will be delayed. Default is no rate limit.

--user USER
    Run as USER if started as root. Default is nobody.

--error-log ERROR_LOG_PATH
    File to write errors to. Default is /dev/null. When run as root, the file is chowned to USER:adm.

--debug
    Enable debug mode. If an error log is specified with --error-log, all messages will be sent there instead of syslog.

--pidfile PATH
    Path to pidfile. By default, pidfile is created under /var/run/syncache-drb/ when run as root, or under $TMPDIR otherwise. Location should be writeable by USER.

--foreground
    Do not daemonize, switch to a different user, create pidfile, redirect output, or log to syslog.

AUTHOR

This manual page was written by Dmitry Borodaenko <angdraug@debian.org>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU GPL version 3 or later.